org.eclipse.rdf4j.rio.helpers

## Class JSONSettings

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.JSONSettings

-     public class JSONSettings
      extends Object

  Generic JSON settings, mostly related to Jackson Features.

  Several of these settings can be overridden by means of a system property, but only if specified at JVM startup time.

  Author:
    Peter Ansell

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RioSetting<Boolean>` | `ALLOW_BACKSLASH_ESCAPING_ANY_CHARACTER` Boolean setting for JSON parsers to determine if any character is allowed to be backslash escaped.
    `static RioSetting<Boolean>` | `ALLOW_COMMENTS` Boolean setting for JSON parsers to determine if Java/C++ style comments are allowed.
    `static RioSetting<Boolean>` | `ALLOW_NON_NUMERIC_NUMBERS` Boolean setting for JSON parsers to determine if non-numeric numbers (INF/-INF/NaN) are allowed.
    `static RioSetting<Boolean>` | `ALLOW_NUMERIC_LEADING_ZEROS` Boolean setting for JSON parsers to determine if numeric leading zeroes are allowed.
    `static RioSetting<Boolean>` | `ALLOW_SINGLE_QUOTES` Boolean setting for JSON parsers to determine if single quotes are allowed.
    `static RioSetting<Boolean>` | `ALLOW_TRAILING_COMMA` Boolean setting for JSON parsers to determine if trailing commas are allows.
    `static RioSetting<Boolean>` | `ALLOW_UNQUOTED_CONTROL_CHARS` Boolean setting for JSON parsers to determine if unquoted control characters are allowed.
    `static RioSetting<Boolean>` | `ALLOW_UNQUOTED_FIELD_NAMES` Boolean setting for JSON parsers to determine if unquoted field names are allowed.
    `static RioSetting<Boolean>` | `ALLOW_YAML_COMMENTS` Boolean setting for JSON parsers to determine if YAML comments (starting with '#') are allowed.
    `static RioSetting<Boolean>` | `INCLUDE_SOURCE_IN_LOCATION` Boolean setting for JSON parsers to determine if errors should include a reference to the source or not.
    `static RioSetting<Boolean>` | `STRICT_DUPLICATE_DETECTION` Boolean setting for JSON parsers to determine if strict duplicate detection is allowed for JSON Object field names.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_BACKSLASH_ESCAPING_ANY_CHARACTER

          public static final RioSetting<Boolean> ALLOW_BACKSLASH_ESCAPING_ANY_CHARACTER

      Boolean setting for JSON parsers to determine if any character is allowed to be backslash escaped.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_backslash_escaping_any_character`.

    - #### ALLOW_COMMENTS

          public static final RioSetting<Boolean> ALLOW_COMMENTS

      Boolean setting for JSON parsers to determine if Java/C++ style comments are allowed.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_comments`.

    - #### ALLOW_NON_NUMERIC_NUMBERS

          public static final RioSetting<Boolean> ALLOW_NON_NUMERIC_NUMBERS

      Boolean setting for JSON parsers to determine if non-numeric numbers (INF/-INF/NaN) are allowed.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_non_numeric_numbers`.

    - #### ALLOW_NUMERIC_LEADING_ZEROS

          public static final RioSetting<Boolean> ALLOW_NUMERIC_LEADING_ZEROS

      Boolean setting for JSON parsers to determine if numeric leading zeroes are allowed.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_numeric_leading_zeros`.

    - #### ALLOW_SINGLE_QUOTES

          public static final RioSetting<Boolean> ALLOW_SINGLE_QUOTES

      Boolean setting for JSON parsers to determine if single quotes are allowed.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_single_quotes`.

    - #### ALLOW_UNQUOTED_CONTROL_CHARS

          public static final RioSetting<Boolean> ALLOW_UNQUOTED_CONTROL_CHARS

      Boolean setting for JSON parsers to determine if unquoted control characters are allowed.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_unquoted_control_chars`.

    - #### ALLOW_UNQUOTED_FIELD_NAMES

          public static final RioSetting<Boolean> ALLOW_UNQUOTED_FIELD_NAMES

      Boolean setting for JSON parsers to determine if unquoted field names are allowed.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_unquoted_field_names`.

    - #### ALLOW_YAML_COMMENTS

          public static final RioSetting<Boolean> ALLOW_YAML_COMMENTS

      Boolean setting for JSON parsers to determine if YAML comments (starting with '#') are allowed.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_yaml_comments`.

    - #### ALLOW_TRAILING_COMMA

          public static final RioSetting<Boolean> ALLOW_TRAILING_COMMA

      Boolean setting for JSON parsers to determine if trailing commas are allows.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.allow_trailing_comma`.

    - #### INCLUDE_SOURCE_IN_LOCATION

          public static final RioSetting<Boolean> INCLUDE_SOURCE_IN_LOCATION

      Boolean setting for JSON parsers to determine if errors should include a reference to the source or not.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.include_source_in_location`.

    - #### STRICT_DUPLICATE_DETECTION

          public static final RioSetting<Boolean> STRICT_DUPLICATE_DETECTION

      Boolean setting for JSON parsers to determine if strict duplicate detection is allowed for JSON Object field names.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.json.strict_duplicate_detection`.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.